Statistic (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface Statistic

- All Superinterfaces:
    Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface Statistic
      extends Serializable

  Interface to represent a single statistic of a `StatisticResource`
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Deprecated. Gets the full description of this statistic.
    `String` | `getName()` Deprecated. Gets the identifying name of this statistic.
    `String` | `getUnits()` Deprecated. Gets the unit of measurement (if any) this statistic represents.
    `Number` | `getValue()` Deprecated. Gets the value of this statistic as a `java.lang.Number`.
    `boolean` | `isCounter()` Deprecated. Returns true if this statistic represents a numeric value which always increases.

- - ### Method Detail

    - #### getName

          String getName()

      Deprecated.
      Gets the identifying name of this statistic.
      Returns:
        the identifying name of this statistic

    - #### getValue

          Number getValue()

      Deprecated.
      Gets the value of this statistic as a `java.lang.Number`.
      Returns:
        the value of this statistic

    - #### getUnits

          String getUnits()

      Deprecated.
      Gets the unit of measurement (if any) this statistic represents.
      Returns:
        the unit of measurement (if any) this statistic represents

    - #### isCounter

          boolean isCounter()

      Deprecated.
      Returns true if this statistic represents a numeric value which always increases.
      Returns:
        true if this statistic represents a value which always increases

    - #### getDescription

          String getDescription()

      Deprecated.
      Gets the full description of this statistic.
      Returns:
        the full description of this statistic